package com.zcloud.dto;

import com.alibaba.fastjson.JSON;
import lombok.Data;

@Data
public class Response {
    private String result;

    private String exception;

    private String code;

    private String message;

    public Response Ok() {
        this.result = "succeed";
        this.code = "0";
        return this;
    }

    public static Response OK() {
        Response response = new Response();
        response.result = "succeed";
        response.code = "0";
        return response;
    }

    public Response Error() {
        this.result = "succeed";
        this.code = "9999";
        this.exception = "系统异常";
        return this;
    }

    public Response Error(String errorMessage) {
        this.result = "succeed";
        this.code = "9999";
        this.exception = errorMessage;
        return this;
    }

    public Response Error(String code, String errorMessage) {
        this.result = "succeed";
        this.code = code;
        this.exception = errorMessage;
        return this;
    }

    public static Response ERROR() {
        Response response = new Response();
        response.result = "succeed";
        response.code = "0";
        return response;
    }

    public static Response ERROR(String errorMessage) {
        Response response = new Response();
        response.result = "exception";
        response.code = "9999";
        response.exception = errorMessage;
        return response;
    }

    public void setMessage(Object obj) {
        this.message = JSON.toJSONString(obj);
    }
}
